[arch-commits] Commit in poppler/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Jun 22 13:55:05 EDT 2010


    Date: Tuesday, June 22, 2010 @ 13:55:04
  Author: jgc
Revision: 83716

upgpkg: poppler 0.14.0-1
Update to 0.14.0

Modified:
  poppler/trunk/PKGBUILD

----------+
 PKGBUILD |   31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-22 17:54:55 UTC (rev 83715)
+++ PKGBUILD	2010-06-22 17:55:04 UTC (rev 83716)
@@ -3,15 +3,15 @@
 
 pkgbase=poppler
 pkgname=('poppler' 'poppler-glib' 'poppler-qt')
-pkgver=0.12.4
+pkgver=0.14.0
 pkgrel=1
 arch=(i686 x86_64)
 license=('GPL')
-makedepends=('libjpeg>=8' 'gcc-libs>=4.4.3' 'cairo>=1.8.10' 'libxml2>=2.7.6' 'fontconfig>=2.8.0' 'openjpeg>=1.3-3' 'gtk2>=2.18.7' 'qt>=4.6.2' 'pkgconfig' 'lcms>=1.18')
+makedepends=('libjpeg>=8.0.2' 'gcc-libs>=4.5.0' 'cairo>=1.8.10' 'libxml2>=2.7.7' 'fontconfig>=2.8.0' 'openjpeg>=1.3-3' 'gtk2>=2.20.1' 'qt>=4.6.3' 'pkgconfig' 'lcms>=1.18')
 options=('!libtool')
 url="http://poppler.freedesktop.org/"
 source=(http://poppler.freedesktop.org/${pkgname}-${pkgver}.tar.gz)
-md5sums=('4155346f9369b192569ce9184ff73e43')
+md5sums=('76f003b8fa2b905674088c306aa857c5')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
@@ -21,17 +21,17 @@
       --enable-xpdf-headers \
       --enable-libjpeg --enable-zlib \
       --enable-poppler-qt4 \
-      --enable-poppler-glib || return 1
-  make || return 1
+      --enable-poppler-glib
+  make
 }
 
 package_poppler() {
   pkgdesc="PDF rendering library based on xpdf 3.0"
-  depends=('libjpeg>=8' 'gcc-libs>=4.4.3' 'cairo>=1.8.10' 'libxml2>=2.7.6' 'fontconfig>=2.8.0' 'openjpeg>=1.3-3' 'lcms>=1.18' 'poppler-data>=0.4.0')
+  depends=('libjpeg>=8.0.2' 'gcc-libs>=4.5.0' 'cairo>=1.8.10' 'libxml2>=2.7.7' 'fontconfig>=2.8.0' 'openjpeg>=1.3-3' 'lcms>=1.18' 'poppler-data>=0.4.2')
   conflicts=("poppler-qt3<${pkgver}")
 
   cd "${srcdir}/${pkgbase}-${pkgver}"
-  make DESTDIR="${pkgdir}" install || return 1
+  make DESTDIR="${pkgdir}" install
 
   rm -rf "${pkgdir}"/usr/include/poppler/{glib,qt4}
   rm -f "${pkgdir}"/usr/lib/libpoppler-{glib,qt4}.so*
@@ -39,29 +39,28 @@
   rm -rf "${pkgdir}/usr/share/gtk-doc"
 }
 
-
 package_poppler-glib() {
   pkgdesc="Poppler glib bindings"
-  depends=("poppler=${pkgver}" 'gtk2>=2.18.7')
+  depends=("poppler=${pkgver}" 'gtk2>=2.20.1')
 
   cd "${srcdir}/${pkgbase}-${pkgver}/poppler"
-  make DESTDIR="${pkgdir}" install-libLTLIBRARIES || return 1
+  make DESTDIR="${pkgdir}" install-libLTLIBRARIES
   cd "${srcdir}/${pkgbase}-${pkgver}/glib"
-  make DESTDIR="${pkgdir}" install || return 1
+  make DESTDIR="${pkgdir}" install
   install -m755 -d "${pkgdir}/usr/lib/pkgconfig"
-  install -m644 ../poppler-glib.pc "${pkgdir}/usr/lib/pkgconfig/" || return 1
+  install -m644 ../poppler-glib.pc "${pkgdir}/usr/lib/pkgconfig/"
   rm -f "${pkgdir}"/usr/lib/libpoppler.*
 }
 
 package_poppler-qt() {
   pkgdesc="Poppler Qt bindings"
-  depends=("poppler=${pkgver}" 'qt>=4.6.2')
+  depends=("poppler=${pkgver}" 'qt>=4.6.3')
 
   cd "${srcdir}/${pkgbase}-${pkgver}/poppler"
-  make DESTDIR="${pkgdir}" install-libLTLIBRARIES || return 1
+  make DESTDIR="${pkgdir}" install-libLTLIBRARIES
   cd "${srcdir}/${pkgbase}-${pkgver}/qt4"
-  make DESTDIR="${pkgdir}" install || return 1
+  make DESTDIR="${pkgdir}" install
   install -m755 -d "${pkgdir}/usr/lib/pkgconfig"
-  install -m644 ../poppler-qt4.pc "${pkgdir}/usr/lib/pkgconfig/" || return 1
+  install -m644 ../poppler-qt4.pc "${pkgdir}/usr/lib/pkgconfig/"
   rm -f "${pkgdir}"/usr/lib/libpoppler.*
 }



More information about the arch-commits mailing list